<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/swipe_refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/btn_delete_all">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rcv_data"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingBottom="@dimen/dimen_1x" />
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>


    <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
        android:id="@+id/btn_delete_all"
        android:drawableLeft="@drawable/ic_delete"
        android:drawablePadding="@dimen/dimen_1x"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="@dimen/dimen_1x"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:gravity="center"
        android:background="@drawable/bg_btn_delete_history"
        android:paddingTop="@dimen/dimen_1x"
        android:paddingLeft="@dimen/dimen_2x"
        android:paddingRight="@dimen/dimen_2x"
        android:paddingBottom="@dimen/dimen_1x"
        android:textSize="@dimen/text_size_xnormal"
        android:textColor="@color/textColorPrimary"
        android:text="@string/delete_all" />

    <include layout="@layout/layout_no_data" />

    <include layout="@layout/layout_no_connection" />
</RelativeLayout>